%define name goffice
%define version 0.8.16

%define api 0.8
%define major 8
%define libname %mklibname %name %{api}_%major
%define develname %mklibname -d %name %api

Summary: Set of document centric objects and utilities for glib/gtk
Name: %{name}
Version: %{version}
Release: %mkrel 1
Source0: http://ftp.gnome.org/pub/GNOME/sources/goffice/%{name}-%{version}.tar.bz2
License: GPLv2
Group: System/Libraries
Url: http://www.gnome.org
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	automake1.8
BuildRequires:	intltool
BuildRequires: gtk+2-devel
BuildRequires: libGConf2-devel dbus-glib-devel
BuildRequires: libgsf-devel >= 1:1.14.9
BuildRequires: libglade2.0-devel
BuildRequires: pcre libpcre-devel
BuildRequires: gtk-doc
BuildRequires: intltool
Obsoletes: goffice0.6 < 0.6.5-2
Obsoletes: goffice21 < 0.2.2-2

%description
There are common operations for document centric applications that are
conceptually simple, but complex to implement fully.
    - plugins
    - load/save documents
    - undo/redo

%package -n %libname
Summary:  %{summary}
Group: %{group}
Requires: %name >= %version

%description -n %libname
Shared library implementing document centric objects and utilities for glib/gtk

%package -n %develname
Summary:  %{summary}
Group: Development/C
Requires: %libname = %version
Provides: %name-devel = %version-%release
Provides: lib%name-devel = %version-%release
Conflicts: %mklibname -d goffice 0_3
Conflicts: %mklibname -d goffice 0_4
Obsoletes: %mklibname -d goffice 0.5_5

%description -n %develname
Development files of the Goffice library.

%prep
%setup -q

%build
%configure2_5x 
#gw http://bugzilla.gnome.org/show_bug.cgi?id=580377
#--enable-gtk-doc
%make

%install
rm -rf $RPM_BUILD_ROOT %name-%version.lang
%makeinstall_std
%find_lang %name-%version
find %buildroot -name \*.la|xargs chmod 644

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post -n %libname -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %libname -p /sbin/ldconfig
%endif

%files -f %name-%version.lang
%defattr(-,root,root)
%doc README NEWS AUTHORS BUGS MAINTAINERS
%_datadir/%name
%_datadir/pixmaps/%name
%dir %_libdir/%name/

%files -n %libname
%defattr(-,root,root)
%_libdir/libgoffice-%api.so.%{major}*
%_libdir/%name/%version/

%files -n %develname
%defattr(-,root,root)
%_includedir/libgoffice-%{api}/
%_libdir/lib*.so
%attr(644,root,root) %_libdir/lib*a
%_libdir/pkgconfig/*.pc
%_datadir/gtk-doc/html/goffice-%api/




%changelog
* Fri Jun 17 2011 Funda Wang <fwang@mandriva.org> 0.8.16-1mdv2011.0
+ Revision: 685726
- update to new version 0.8.16

* Sat May 21 2011 Götz Waschk <waschk@mandriva.org> 0.8.15-1
+ Revision: 676890
- update to new version 0.8.15

* Tue May 03 2011 Oden Eriksson <oeriksson@mandriva.com> 0.8.14-2
+ Revision: 664912
- mass rebuild

* Fri Mar 25 2011 Götz Waschk <waschk@mandriva.org> 0.8.14-1
+ Revision: 648474
- update to new version 0.8.14

* Thu Feb 03 2011 Götz Waschk <waschk@mandriva.org> 0.8.13-1
+ Revision: 635732
- update to new version 0.8.13

* Fri Nov 26 2010 Götz Waschk <waschk@mandriva.org> 0.8.12-1mdv2011.0
+ Revision: 601483
- update to new version 0.8.12

* Sat Oct 02 2010 Götz Waschk <waschk@mandriva.org> 0.8.11-1mdv2011.0
+ Revision: 582506
- update to new version 0.8.11

* Sat Sep 04 2010 Götz Waschk <waschk@mandriva.org> 0.8.10-1mdv2011.0
+ Revision: 576006
- update to new version 0.8.10

* Tue Aug 17 2010 Götz Waschk <waschk@mandriva.org> 0.8.9-1mdv2011.0
+ Revision: 570821
- update to new version 0.8.9

* Sat Jul 31 2010 Götz Waschk <waschk@mandriva.org> 0.8.8-1mdv2011.0
+ Revision: 563870
- update to new version 0.8.8

* Sun Jul 11 2010 Götz Waschk <waschk@mandriva.org> 0.8.7-1mdv2011.0
+ Revision: 550652
- new version

* Sat Apr 17 2010 Götz Waschk <waschk@mandriva.org> 0.8.2-1mdv2010.1
+ Revision: 535746
- update to new version 0.8.2

* Tue Mar 09 2010 Götz Waschk <waschk@mandriva.org> 0.8.1-1mdv2010.1
+ Revision: 516902
- update to new version 0.8.1

* Sun Feb 14 2010 Götz Waschk <waschk@mandriva.org> 0.8.0-1mdv2010.1
+ Revision: 505792
- new version
- new major

* Mon Jan 25 2010 Götz Waschk <waschk@mandriva.org> 0.7.18-1mdv2010.1
+ Revision: 496215
- update to new version 0.7.18

* Wed Dec 16 2009 Götz Waschk <waschk@mandriva.org> 0.7.17-1mdv2010.1
+ Revision: 479215
- update to new version 0.7.17

* Sun Nov 29 2009 Götz Waschk <waschk@mandriva.org> 0.7.16-1mdv2010.1
+ Revision: 471457
- update to new version 0.7.16

* Fri Nov 06 2009 Götz Waschk <waschk@mandriva.org> 0.7.15-1mdv2010.1
+ Revision: 460939
- update to new version 0.7.15

* Mon Oct 12 2009 Götz Waschk <waschk@mandriva.org> 0.7.14-1mdv2010.0
+ Revision: 456736
- update to new version 0.7.14

* Sun Sep 20 2009 Götz Waschk <waschk@mandriva.org> 0.7.13-1mdv2010.0
+ Revision: 445492
- update to new version 0.7.13

* Sun Sep 06 2009 Götz Waschk <waschk@mandriva.org> 0.7.12-1mdv2010.0
+ Revision: 432081
- new version

* Tue Sep 01 2009 Götz Waschk <waschk@mandriva.org> 0.7.11-1mdv2010.0
+ Revision: 423159
- update to new version 0.7.11

* Mon Aug 31 2009 Götz Waschk <waschk@mandriva.org> 0.7.10-1mdv2010.0
+ Revision: 422778
- update to new version 0.7.10

* Sun Aug 16 2009 Götz Waschk <waschk@mandriva.org> 0.7.9-1mdv2010.0
+ Revision: 416840
- update to new version 0.7.9

* Sat Jun 20 2009 Götz Waschk <waschk@mandriva.org> 0.7.8-1mdv2010.0
+ Revision: 387479
- update to new version 0.7.8

* Sun May 24 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.7-1mdv2010.0
+ Revision: 379204
- Update to new version 0.7.7
- Remove string format patch: not needed anymore

* Thu May 07 2009 Götz Waschk <waschk@mandriva.org> 0.7.6-1mdv2010.0
+ Revision: 372797
- update to new version 0.7.6

* Mon Apr 27 2009 Götz Waschk <waschk@mandriva.org> 0.7.5-3mdv2010.0
+ Revision: 369051
- new version
- disable gtk-doc regeneration

* Mon Mar 23 2009 Götz Waschk <waschk@mandriva.org> 0.7.4-3mdv2009.1
+ Revision: 360657
- new version

* Mon Feb 23 2009 Götz Waschk <waschk@mandriva.org> 0.7.3-3mdv2009.1
+ Revision: 344051
- fix build deps
- new version
- drop patch 0
- fix format string

* Tue Dec 16 2008 Adam Williamson <awilliamson@mandriva.org> 0.7.2-3mdv2009.1
+ Revision: 314927
- add arguments.patch (fix build-breaking missing arguments in three files)
- obsolete old versions goffice0.6 and goffice21

* Sat Nov 08 2008 Götz Waschk <waschk@mandriva.org> 0.7.2-2mdv2009.1
+ Revision: 300924
- rebuild for new libxcb

* Sun Oct 19 2008 Götz Waschk <waschk@mandriva.org> 0.7.2-1mdv2009.1
+ Revision: 295262
- update to new version 0.7.2

* Sun Aug 31 2008 Götz Waschk <waschk@mandriva.org> 0.7.1-1mdv2009.0
+ Revision: 277840
- new version
- bump deps
- update file list

* Wed Jun 25 2008 Götz Waschk <waschk@mandriva.org> 0.7.0-1mdv2009.0
+ Revision: 228997
- new version
- new api and major
- update license

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon May 12 2008 Götz Waschk <waschk@mandriva.org> 0.6.4-1mdv2009.0
+ Revision: 206326
- new version

* Mon May 05 2008 Götz Waschk <waschk@mandriva.org> 0.6.3-1mdv2009.0
+ Revision: 201278
- new version

* Sun Mar 09 2008 Götz Waschk <waschk@mandriva.org> 0.6.2-1mdv2008.1
+ Revision: 183001
- new version

* Sat Dec 22 2007 Götz Waschk <waschk@mandriva.org> 0.6.1-1mdv2008.1
+ Revision: 136812
- new version
- new major

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Dec 18 2007 Götz Waschk <waschk@mandriva.org> 0.6.0-1mdv2008.1
+ Revision: 132126
- new version
- new major
- new version

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Nov 20 2007 Götz Waschk <waschk@mandriva.org> 0.5.3-1mdv2008.1
+ Revision: 110673
- new version

* Sun Nov 04 2007 Götz Waschk <waschk@mandriva.org> 0.5.2-1mdv2008.1
+ Revision: 105857
- new version
- new version

* Sun Oct 21 2007 Götz Waschk <waschk@mandriva.org> 0.5.1-1mdv2008.1
+ Revision: 100911
- new version
- new devel name

* Fri Sep 07 2007 Pixel <pixel@mandriva.com> 0.5.0-2mdv2008.0
+ Revision: 81438
- add conflict on lib(64)goffice0_4-devel

* Tue Sep 04 2007 Götz Waschk <waschk@mandriva.org> 0.5.0-1mdv2008.0
+ Revision: 79285
- new version
- new major

* Tue Sep 04 2007 Götz Waschk <waschk@mandriva.org> 0.4.3-1mdv2008.0
+ Revision: 79228
- new version
- fix build

* Tue Jul 24 2007 Götz Waschk <waschk@mandriva.org> 0.4.2-1mdv2008.0
+ Revision: 54976
- new version

* Wed Jul 11 2007 Götz Waschk <waschk@mandriva.org> 0.4.1-1mdv2008.0
+ Revision: 51223
- new version
- drop merged patch
- add conflict with old devel package for upgrades

* Fri May 04 2007 Götz Waschk <waschk@mandriva.org> 0.4.0-1mdv2008.0
+ Revision: 22231
- new version
- new major

* Sun Apr 22 2007 Götz Waschk <waschk@mandriva.org> 0.3.8-1mdv2008.0
+ Revision: 16891
- new version


* Tue Mar 20 2007 Frederic Crozat <fcrozat@mandriva.com> 0.3.7-3mdv2007.1
+ Revision: 146940
-Patch0 : prevent crash for file with graphs with graph plugin disabled (GNOME bug #419955)

* Thu Mar 15 2007 Frederic Crozat <fcrozat@mandriva.com> 0.3.7-2mdv2007.1
+ Revision: 144423
- Remove incorrectly generated files before build, fix GNOME bug #354874)

* Mon Mar 05 2007 Götz Waschk <waschk@mandriva.org> 0.3.7-1mdv2007.1
+ Revision: 132873
- new version
- fix buildrequires

  + Thierry Vignaud <tvignaud@mandriva.com>
    - no need to package big ChangeLog when NEWS is already there

* Sat Feb 17 2007 Götz Waschk <waschk@mandriva.org> 0.3.6-1mdv2007.1
+ Revision: 122112
- new version
- enable gtk-doc

* Mon Dec 18 2006 Götz Waschk <waschk@mandriva.org> 0.3.5-1mdv2007.1
+ Revision: 98428
- new version

* Tue Dec 05 2006 Götz Waschk <waschk@mandriva.org> 0.3.4-1mdv2007.1
+ Revision: 91185
- new version

* Tue Nov 07 2006 Götz Waschk <waschk@mandriva.org> 0.3.3-2mdv2007.1
+ Revision: 77290
- bot rebuild
- new version

* Wed Oct 18 2006 Götz Waschk <waschk@mandriva.org> 0.3.2-1mdv2007.1
+ Revision: 65910
- new version
  fix file list

* Fri Oct 13 2006 Götz Waschk <waschk@mandriva.org> 0.3.1-2mdv2007.1
+ Revision: 63757
- rebuild
- Import goffice

* Thu Oct 05 2006 Götz Waschk <waschk@mandriva.org> 0.3.1-1mdv2007.0
- New version 0.3.1

* Tue Sep 05 2006 Götz Waschk <waschk@mandriva.org> 0.3.0-1mdv2007.0
- Rebuild

* Sat Jun 03 2006 Frederic Crozat <fcrozat@mandriva.com> 0.3.0-1mdv2007.0
- Release 0.3.0

* Thu Mar 23 2006 Götz Waschk <waschk@mandriva.org> 0.2.1-1mdk
- New release 0.2.1

* Tue Mar 07 2006 Götz Waschk <waschk@mandriva.org> 0.2.0-4mdk
- rebuild for new libgsf

* Wed Mar 01 2006 Stefan van der Eijk <stefan@eijk.nu> 0.2.0-3mdk
- BuildRequires: automake1.8
- BuildRequires: intltool

* Mon Feb 27 2006 Frederic Crozat <fcrozat@mandriva.com> 0.2.0-2mdk
- Fix build

* Mon Jan 30 2006 Gtz Waschk <waschk@mandriva.org> 0.2.0-1mdk
- new major
- New release 0.2.0

* Wed Nov 16 2005 Götz Waschk <waschk@mandriva.org> 0.1.2-1mdk
- New release 0.1.2

* Mon Nov 07 2005 Gtz Waschk <waschk@mandriva.org> 0.1.1-1mdk
- bump deps
- New release 0.1.1

* Wed Oct 12 2005 Gtz Waschk <waschk@mandriva.org> 0.1.0-1mdk
- new major
- bump deps
- New release 0.1.0

* Fri Sep 09 2005 Götz Waschk <waschk@mandriva.org> 0.0.4-1mdk
- New release 0.0.4

* Sat Sep 03 2005 Gtz Waschk <waschk@mandriva.org> 0.0.3-2mdk
- rebuild to remove glitz dep

* Wed Aug 17 2005 Gtz Waschk <waschk@mandriva.org> 0.0.3-1mdk
- bump deps
- New release 0.0.3

* Tue Aug 02 2005 Marcel Pol <mpol@mandriva.org> 0.0.2-1mdk
- 0.0.2

* Thu May 19 2005 Gtz Waschk <waschk@mandriva.org> 0.0.1-2mdk
- fix buildrequires

* Wed May 11 2005 Gtz Waschk <waschk@mandriva.org> 0.0.1-1mdk
- initial package

